/* TRANSACTION TEST DATA CLASS */
class com.cintegrity.Lib.Collection.Trx:
                                                            /* unique values */
  define private variable cin_Seq as integer no-undo.
  define private variable cch_TrxID as character no-undo.
      /* omitted unique decimal */
      /* omitted unique date */
  define private variable cdt_TrxTimeStamp as datetime no-undo.
                                                        /* non-unique values */
  define private variable cin_Quantity as integer no-undo.
  define private variable cch_CustName as character no-undo.
  define private variable cch_ItemName as character no-undo.
  define private variable cde_TrxAmount as decimal no-undo.
  define private variable cda_TrxDate as date no-undo.
  define private variable cdt_PostTime as datetime no-undo.

  constructor public Trx(
      input ipin_Seq as integer,
      input ipch_TrxID as character,
      input ipdt_TrxTimeStamp as datetime,
      input ipin_Quantity as integer,
      input ipch_CustName as character,
      input ipch_ItemName as character,
      input ipde_TrxAmount as decimal,
      input ipda_TrxDate as date,
      input ipdt_PostTime as datetime
      ):

    assign
        cin_Seq 		 = ipin_Seq
        cch_TrxID 		 = ipch_TrxID
        cdt_TrxTimeStamp = ipdt_TrxTimeStamp
        cin_Quantity 	 = ipin_Quantity
        cch_CustName 	 = ipch_CustName
        cch_ItemName 	 = ipch_ItemName
        cde_TrxAmount 	 = ipde_TrxAmount
        cda_TrxDate 	 = ipda_TrxDate
        cdt_PostTime 	 = ipdt_PostTime
        .

  end constructor.

  method public integer getSeq():
    return cin_Seq.
  end.

  method public character getTrxID():
    return cch_TrxID.
  end.

  method public datetime getTrxTimeStamp():
    return cdt_TrxTimeStamp.
  end.

  method public character getCustName():
    return cch_CustName.
  end.
  
  method public integer getQuantity():
    return cin_Quantity.
  end.

  method public decimal getTrxAmount():
    return cde_TrxAmount.
  end.

  method public date getTrxDate():
    return cda_TrxDate.
  end.

  method public datetime getPostTime():
    return cdt_PostTime.
  end.

end class.
